Bug 1264 - Composite: Window raising with Fluxbox not working
Summary: Composite: Window raising with Fluxbox not working
Status: RESOLVED NOTOURBUG
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: 6.8.0
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-31 19:45 UTC by Leif Askeland
Modified: 2004-09-11 02:18 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leif Askeland 2004-08-31 19:45:15 UTC
Window raising with the Fluxbox WM (www.fluxbox.org) is not working with the
Composite extension enabled. Focus changes, but windows do not get raised as
expected.

Verified with xorg version 6.7.99.903 (2 cvs checkouts a couple days apart),
with both nvidia and ATI drivers. Fluxbox version 0.9.9.

As a side note, I discovered it was possible to get a window raised by quickly
changing workspace and trying to raise a window. Though only one raise is
possible with that method before one has to repeat the process.
Comment 1 John5788 2004-09-04 22:20:42 UTC
Same problem here using xorg 6.7.99.904 and fluxbox 0.9.9 and 0.9.10
Comment 2 jake rich 2004-09-07 15:02:43 UTC
Setting the Layer level (stacking level) to Dock or Above Dock to all windows
cures the problem, but still wacky.

Here are some shots of this behavior.

http://setpyul.com/shots/flux000.mpeg
http://setpyul.com/shots/flux_weird_stacking.mpeg
Comment 3 Simon Bowden 2004-09-09 19:13:44 UTC
Looks like a fluxbox bug.

Workaround: set the layer of the Slit to "Desktop" (flux menu -> Configure ->
Slit -> Layer -> Desktop)

The problem arises because the Slit window is created with an invalid colormap,
which invalidates the slit Window, which basically messes up all the stacking
(all windows below the slit in stacking order don't restack). I'm not sure why
the colormap is invalid yet, will be looking into it over the weekend...
Comment 4 Simon Bowden 2004-09-11 19:18:38 UTC
This was a fluxbox bug, which is fixed in fluxbox CVS (and gentoo ebuild -r3).

Basically, flux was using the 32-bit depth visual when it shouldn't have.


bug/show.html.tmpl processed on Aug 25, 2016 at 21:55:49.
(provided by the Example extension).